UPSCLI_UPSERROR(3)

NAME
upscli_upserror - Get current error number for connection

SYNOPSIS

        #include <upsclient.h>
        int upscli_upserror(UPSCONN_t *ups);

DESCRIPTION

The upscli_upserror() function takes the pointer ups to a UPSCONN_t state structure and returns the value of the internal error number, if any.

This is typically used to check for certain error values like UPSCLI_ERR_UNKCOMMAND. That specific error can be used for detecting older versions of upsd(8) which might not support a given command.

Some error messages have additional meanings, so you should use upscli_strerror(3) to obtain readable error messages.

RETURN VALUE

The upscli_upserror() function returns one of the UPSCLI_ERR_* values from upsclient.h, or 0 if no error has occurred.

SEE ALSO

upscli_readline(3), upscli_sendline(3), upscli_strerror(3)